1.0
1.0
get /v1/guardrails
Description
get guardrails list
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | landing_zone_id optional | 랜딩 존 ID Example : 2c8a138f8d78e1fc29a449dbfa8681 | any of [string, null] | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | 가드레일명 Example : foo-guardrail | any of [string, null] | None |
| query | exclude_unit_id optional | 연결된(제외) 유닛 ID Example : ou-c29a138f8f1d78e24dbfa8681fc2fc8 | any of [string, null] | None |
| query | guidance optional | 정책 가이드 Example : MANDATORY | any of [string, null] | None |
| query | service_name optional | Organization Example : iam | any of [string, null] | None |
| query | status optional | 적용 상태 Example : ENABLED | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | GuardrailPageResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/guardrails
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.0"
Example HTTP response
Response 200
{
"count": 20,
"guardrails": [
{
"binding_ous": [],
"created_at": "2024-12-19 01:09:05.000",
"created_by": "c23fb561c689455993874fa5d5ed4a2f",
"description": "This is an example guardrail.",
"guidance": "MANDATORY",
"id": "2c8a138f8d78e1fc29a449dbfa8681",
"modified_at": "2023-10-15 14:30:00",
"modified_by": "c23fb561c689455993874fa5d5ed4a2f",
"name": "foo-guardrail",
"service_name": "iam",
"srn": "srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681",
"status": "DISABLED",
"type": "PREVENTIVE"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}